"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const no_index_signature_1 = __importDefault(require("./no-index-signature"));
const ts_eslint_1 = require("@typescript-eslint/experimental-utils/dist/ts-eslint");
const ts_estree_1 = require("@typescript-eslint/experimental-utils/dist/ts-estree");
const ruleTester = new ts_eslint_1.RuleTester({
    parserOptions: {
        sourceType: "module",
        project: "./tsconfig.tests.json",
    },
    parser: require.resolve("@typescript-eslint/parser"),
});
// eslint-disable-next-line functional/no-expression-statement
ruleTester.run("no-index-signature", no_index_signature_1.default, {
    valid: [
        // no index signature
        {
            filename: "file.ts",
            code: `
        type Foo = {
          readonly foo: string;
        };
      `,
        },
    ],
    invalid: [
        // index signature
        {
            filename: "file.ts",
            code: `
        type Foo = {
          readonly [K in string]: string;
        };
      `,
            errors: [
                {
                    messageId: "errorStringGeneric",
                    type: ts_estree_1.AST_NODE_TYPES.TSIndexSignature,
                },
            ],
        },
        // Record
        {
            filename: "file.ts",
            code: `
        type Foo = Record<string, string>;
      `,
            errors: [
                {
                    messageId: "errorStringGeneric",
                    type: ts_estree_1.AST_NODE_TYPES.TSIndexSignature,
                },
            ],
        },
    ],
});
const foo = Date.now();
foo.toLocaleString();
