"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// TODO https://github.com/typescript-eslint/typescript-eslint/pull/2601
/* eslint-disable total-functions/no-unsafe-mutable-readonly-assignment */
const require_strict_mode_1 = __importDefault(require("./require-strict-mode"));
const ts_eslint_1 = require("@typescript-eslint/experimental-utils/dist/ts-eslint");
const experimental_utils_1 = require("@typescript-eslint/experimental-utils");
const ruleTesterForTSConfig = (config) => new ts_eslint_1.RuleTester({
    parserOptions: {
        sourceType: "module",
        project: config,
    },
    parser: require.resolve("@typescript-eslint/parser"),
});
const strictRuleTester = ruleTesterForTSConfig("./tsconfig.tests.json");
// eslint-disable-next-line functional/no-expression-statement, sonarjs/no-duplicate-string
strictRuleTester.run("require-strict-mode", require_strict_mode_1.default, {
    valid: [
        {
            filename: "file.ts",
            code: "",
        },
    ],
    invalid: [],
});
const nonStrictRuleTester = ruleTesterForTSConfig("./tsconfig.tests.non-strict.json");
// eslint-disable-next-line functional/no-expression-statement
nonStrictRuleTester.run("require-strict-mode", require_strict_mode_1.default, {
    valid: [],
    invalid: [
        {
            filename: "file.ts",
            code: "",
            errors: [
                {
                    messageId: "errorStringStrictMode",
                    type: experimental_utils_1.AST_NODE_TYPES.Program,
                },
            ],
        },
    ],
});
const nonNoUncheckedIndexedAccessRuleTester = ruleTesterForTSConfig("./tsconfig.tests.non-noUncheckedIndexedAccess.json");
// eslint-disable-next-line functional/no-expression-statement
nonNoUncheckedIndexedAccessRuleTester.run("require-strict-mode", require_strict_mode_1.default, {
    valid: [],
    invalid: [
        {
            filename: "file.ts",
            code: "",
            errors: [
                {
                    messageId: "errorStringNoUncheckedIndexedAccess",
                    type: experimental_utils_1.AST_NODE_TYPES.Program,
                },
            ],
        },
    ],
});
